XPMUP(3)

SYNOPSIS
SUBROUTINE XPMUP (NU1, NU2, MU1, MU2, PQA, IPQA, IERROR)

NAME
xpmup - To compute the values of Legendre functions for XLEGF. This subroutine transforms an array of Legendre functions of the first kind of negative order stored in array PQA into Legendre functions of the first kind of positive order stored in array PQA. The original array is destroyed.

LIBRARY
SLATEC

CATEGORY
C3A2, C9

TYPE
SINGLE PRECISION (XPMUP-S, DXPMUP-D)

KEYWORDS
LEGENDRE FUNCTIONS

AUTHOR
Smith, John M., (NBS and George Mason University)

ROUTINES CALLED
XADJ

REVISION HISTORY (YYMMDD)
820728 DATE WRITTEN
890126 Revised to meet SLATEC CML recommendations. (DWL and JMS)
901019 Revisions to prologue. (DWL and WRB)
901106 Changed all specific intrinsics to generic. (WRB) Corrected order of sections in prologue and added TYPE section. (WRB)
920127 Revised PURPOSE section of prologue. (DWL)